module Fixingthenet
  module Installer


    #uninstalls
    class UninstallCommand < Command
      private
      def parse_options
        OptionParser.new do |opts|
          opts.banner = "Usage: ftn uninstall [options]"

          parse_common_options(opts)

        end.parse!(args)
      end

      def command
        initd_filename="/etc/init.d/#{app.full_name}"
        `sudo #{initd_filename} stop` if File.exist?(initd_filename)
        [
            NGINX_APPS_DIR.join(app.full_name),
            INITD_DIR.join(app.full_name)

        ].each do |destination|
          FileUtils.rm(destination) if File.exist?(destination)
        end
      end
    end


  end
end
