require 'pathname'
require 'optparse'
require 'pathname'
require 'fileutils'

require "fixingthenet/installer/version"
require "fixingthenet/installer/app"
require "fixingthenet/installer/command"
require "fixingthenet/installer/install_command"
require "fixingthenet/installer/uninstall_command"


module Fixingthenet
  module Installer

    TEMPLATES_DIR=Pathname.new(File.expand_path(File.join(File.dirname(__FILE__), '..', '..','templates')))
    NGINX_APPS_DIR=Pathname.new "/etc/fixingthenet/nginx/apps"
    NGINX_SITES_DIR=Pathname.new "/etc/nginx/sites-enabled"

    INITD_DIR=Pathname.new("/etc/init.d/")

    DEFAULT_OPTIONS = {:apps_root => Pathname.new('/vagrant/apps'),
                       :template_path => TEMPLATES_DIR,
                       :nginx_apps_dir => NGINX_APPS_DIR,
                       :env => 'development',
                       :server_name => '192.168.40.10'
    }

  end
end